(function( $ ) {
	'use strict';

	/**
	 * All of the code for your admin-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */

	$(function() {
		var gmapField = $('#woocommerce_biteship_gmap_api_key')
		if (gmapField) {
			gmapField.next().after('<p class="description"><a href="https://developers.google.com/maps/documentation/javascript/get-api-key">Click here for instructions to get the api key</a></p>');
		}

		var coll = $('.collapsible')

		for (var i = 0; i < coll.length; i++) {
			coll[i].addEventListener("click", function() {
				this.classList.toggle("active");
				var content = this.nextElementSibling;
				if (content.style.maxHeight){
					content.style.maxHeight = null;
				} else {
					content.style.maxHeight = content.scrollHeight + "px";
				}
			});
		}

		var modal = $('#myModal')
		var close = $('.close')
		var button = $("button[name='show_store_position']")
		for (var i = 0; i < button.length; i++) {
			button[i].addEventListener("click", function() {
				modal.css('display', 'block')
			})
		}
		if (close.length > 0) {
			close[0].addEventListener("click", function() {
				modal.css('display', 'none')
			})
		}
	})

})( jQuery );
