<script>
  var marker = null
  var modalMarker = null
  function initMap() {
    var myLatLng = {lat: -6.1753871, lng: 106.8249641};
    marker = new google.maps.Marker({
      position: myLatLng,
      map: null,
      title: 'Location'
    })
    modalMarker = new google.maps.Marker({
      position: myLatLng,
      map: null,
      title: 'Modal Location'
    })

    var mapModal = new google.maps.Map(
      document.getElementById('mapModal'), {
        zoom: 15, 
        center: myLatLng,
        disableDefaultUI: true,
        fullscreenControl: true
      }
    );
    var mapModalButton = document.getElementsByName('show_store_position')
    for (var i = 0; i < mapModalButton.length; i++) {
      mapModalButton[i].addEventListener('click', function() {
        var rawLatLng = this.getAttribute('value')
        var temp = rawLatLng.split(',')
        if (temp.length == 2) {
          var modalPosition = {lat: parseFloat(temp[0]), lng: parseFloat(temp[1])}
          mapModal.setCenter(modalPosition)
          modalMarker.setMap(mapModal)
          modalMarker.setPosition(modalPosition)
        }
      })
    }

    var map = new google.maps.Map(
      document.getElementById('map'), {
        zoom: 15, 
        center: myLatLng,
        disableDefaultUI: true,
        fullscreenControl: true
      }
    );

    // Configure the click listener.
    map.addListener('click', function(mapsMouseEvent) {
      var selectedPosition = mapsMouseEvent.latLng
      updateMarker(selectedPosition, map)
      document.getElementById('position-input').value = selectedPosition.lat() + ',' + selectedPosition.lng()
    });

    updateMarker(myLatLng, map)
  }

  function updateMarker(position, map) {
    if (marker != null ) {
      marker.setPosition(position)
      marker.setMap(map)
    }
  }

  function handleLocationError(browserHasGeolocation, infoWindow, pos) {
    infoWindow.setPosition(pos);
    infoWindow.setContent(browserHasGeolocation ?
                          'Error: The Geolocation service failed.' :
                          'Error: Your browser doesn\'t support geolocation.');
    infoWindow.open(map);
  }
</script>
<script async defer
  src="https://maps.googleapis.com/maps/api/js?key=<?php echo $this->settings['gmap_api_key'] ?>&callback=initMap">
</script>

<h1>Biteship</h1>
<table class="form-table">
	<?php wp_nonce_field("biteship-settings", "biteship-nonce") ?>
  <?php $this->generate_settings_html() ?>
  
  <tr>
    <th>
      <label><?php echo __('Active address', 'biteship') ?></label>
    </th>
    <td>
      <fieldset>
        <div id="store-address-container">
          <?php
          if (is_array($options['store_addresses'])) {
            foreach ($options['store_addresses'] as $address) {
              $id = $address['id'];
              $html_id = 'store_address_' . $id;
              $checked = '';
              if ($id == $options['store_address']) {
                $checked = "checked='checked'";
              }
              ?>
              <div style="display: flex; justify-content: space-between; align-items: center">
                <div style="display: flex; align-items: center">
                  <div>
                    <input type="radio" name="store_address" id="<?php echo $html_id ?>" value="<?php echo $id ?>" <?php echo $checked ?>/>
                  </div>
                  <div style="margin-left: 8px; padding-right: 8px">
                    <label for="<?php echo $html_id ?>"><?php echo $address['address'] . ' - ' . $address['zipcode'] ?></label>
                    <legend style="font-size: 10px;margin-top: -5px;margin-bottom: 10px;">Coordinate: <?php echo $address['position'] ?></legend>
                  </div>
                </div>
                <div style="display: flex">
                  <?php
                    $position = $this->get_store_position($options['store_addresses'], $id);
                    if ($position != '') {
                      ?>
                      <button class="wp-core-ui button-secondary" style="background-color: transparent; border-color: transparent;" type="button" name="show_store_position" value="<?php echo $position ?>"><i class="material-icons-outlined">map</i></button>
                      <?php
                    }
                  ?>
                  <button class="wp-core-ui button-secondary" style="background-color: transparent; border-color: transparent; color: #c9356e" type="submit" name="remove_store_address" value="<?php echo $id ?>"><i class="material-icons-outlined">delete</i></button>
                </div>
              </div>
              <?php
            }
          }
          ?>
          <div id="myModal" class="modal">
            <div class="modal-content">
              <span class="close">&times;</span>
              <div id="mapModal"></div>
            </div>
          </div>
        </div>
        <div style="margin-top: 16px; width: 100%">
          <input id="position-input" type="hidden" name="new_position" value=""/>
          <textarea class="input-text wide-input" placeholder="<?php echo __('New Address', 'biteship') ?>" id="new-address" name="new_address"></textarea>
        </div>
        <div style="margin-top: 16px">
          <input style="width: 100px" placeholder="<?php echo __('New Zipcode', 'biteship') ?>" type="text" id="new-zipcode" name="new_zipcode"/>
        </div>
        <div id="map"></div>
        <div>
          <p class="description"><?php echo __('Select position is required for Gojek and Grab methods') ?></p>
        </div>
        <div style="margin-top: 16px">
          <button type="submit" id="add-new-address" class="wp-core-ui button-primary"><?php echo __('Add', 'biteship') ?></button>
        </div>
      </fieldset>
    </td>
    <td style="vertical-align: top">
      <legend><?php echo __('Pick active address or add a new one', 'biteship') ?></legend>
    </td>
  </tr>

	<tr>
		<th>
			<label><?php echo __('Choose expedition', 'biteship') ?></label>
		</th>
		<td>
			<fieldset>
        <?php
          $i = 0;
          if (!is_array($companies)) {
            $companies = array();
          }

          if (sizeof($companies) == 0) {
            ?><legend><?php echo __("Please insert Biteship key to choose a courier", 'biteship') ?></legend><?php
          }

					foreach ($companies as $company) {
            $i++;
            $selected = '';
            $code = $company['code'];
            $name = $company['name'];
            $first_collapsible = $i == 1 ? 'first' : '';
            $last_collapsible = $i == count($companies) ? 'last' : '';
            ?>
            <div>
              <button type="button" class="collapsible <?php echo $first_collapsible ?>"><?php echo $name ?></button>
              <div class="collapsible-content <?php echo $last_collapsible ?>">
              <?php
                $services = $company['services'];
                foreach ($services as $service) {
                  $service_selected = '';
                  $service_code = $code . '/' . $service['code'];
                  $service_name = $service['name'];
                  $service_description = $service['description'] . ' (' . $service['shipment_duration_range'] . ' ' . $service['shipment_duration_unit'] . ')';
                  if ( $this->is_service_checked($service_code, $options['shipping_service_enabled']) ) {
                    $service_selected = "checked='checked'";
                  }
                  ?>
                  <div style="margin-left: 32px; padding-top: 8px; padding-bottom: 8px; display: flex; justify-content: space-between;">
                    <div>
                      <label for="shipping_service_checkbox_<?php echo $service_code;?>"><?php echo $service_name;?></label>
                      <legend style="font-size: 12px"><?php echo $service_description ?></legend>
                    </div>
                    <label class="switch">
                      <input class="shipping-service-checkbox" type="checkbox" name="shipping_company_checkbox[<?php echo $service_code ?>]" id="shipping_service_checkbox_<?php echo $service_code ?>" value="<?php echo $service_name ?>" <?php echo $service_selected ?> />
                      <span class="slider round"></span>
                    </label>
                  </div>
                  <?php
                }
              ?>
              </div>
            </div>
            <?php
					}
				?>
			</fieldset>
		</td>
    <td style="vertical-align: top">
      <legend><?php echo __("Choose shipping service that customers can use", 'biteship') ?></legend>
    </td>
	</tr>

  <!-- <tr>
    <th>
      <label><?php echo __('Store Address', 'biteship') ?></label>
    </th>
    <td>
      <fieldset>
        <textarea name="store_address" ><?php echo $options['store_address'] ?></textarea>
      </fieldset>
    </td>
    <td>
      <legend><?php echo __('This will be the origin of shipment and will be used in shipment price calculation', 'biteship') ?></legend>
    </td>
  </tr> -->

  <tr>
    <th>
      <label><?php echo __('Default Shipping Weight', 'biteship') ?></label>
    </th>
    <td>
      <span>
        <input type="number" value="<?php echo $options['default_weight'] ?>" name="default_weight" style="width: 50px"/> kg
      </span>
    </td>
    <td>
      <legend><?php echo __("The value will be used if a product doesn't have weight", 'biteship') ?></legend>
    </td>
  </tr>
</table>