<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://habibridho.github.io
 * @since      1.0.0
 *
 * @package    Biteship
 * @subpackage Biteship/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Biteship
 * @subpackage Biteship/includes
 * @author     Habib <habibridho@live.com>
 */
class Biteship_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {
		$shipping_methods = WC()->shipping()->get_shipping_methods();
		$biteship_shipping = $shipping_methods['biteship'];
		if ($biteship_shipping != null) {
			$biteship_shipping->reset_settings_and_option();
		}
	}

}
